Package org.h2.expression.analysis

# Enum Class WindowFrameExclusion

java.lang.Object
java.lang.Enum<WindowFrameExclusion>
org.h2.expression.analysis.WindowFrameExclusion

All Implemented Interfaces:
  `Serializable`, `Comparable<WindowFrameExclusion>`, `Constable`

public enum WindowFrameExclusion extends Enum<WindowFrameExclusion>
Window frame exclusion clause.

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`EXCLUDE_CURRENT_ROW`
EXCLUDE CURRENT ROW exclusion clause.
`EXCLUDE_GROUP`
EXCLUDE GROUP exclusion clause.
`EXCLUDE_NO_OTHERS`
EXCLUDE NO OTHERS exclusion clause.
`EXCLUDE_TIES`
EXCLUDE TIES exclusion clause.

## Method Summary

Modifier and Type
Method
Description
`String`
`getSQL()`
Returns SQL representation.
`boolean`
`isGroupOrNoOthers()`
Returns true if this exclusion clause excludes or includes the whole group.
`static WindowFrameExclusion`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static WindowFrameExclusion[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### EXCLUDE_CURRENT_ROW

public static final WindowFrameExclusion EXCLUDE_CURRENT_ROW
EXCLUDE CURRENT ROW exclusion clause.

### EXCLUDE_GROUP

public static final WindowFrameExclusion EXCLUDE_GROUP
EXCLUDE GROUP exclusion clause.

### EXCLUDE_TIES

public static final WindowFrameExclusion EXCLUDE_TIES
EXCLUDE TIES exclusion clause.

### EXCLUDE_NO_OTHERS

public static final WindowFrameExclusion EXCLUDE_NO_OTHERS
EXCLUDE NO OTHERS exclusion clause.

## Method Details

### values

public static WindowFrameExclusion[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static WindowFrameExclusion valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null

### isGroupOrNoOthers

public boolean isGroupOrNoOthers()
Returns true if this exclusion clause excludes or includes the whole group.

Returns:
  true if this exclusion clause is `EXCLUDE_GROUP` or `EXCLUDE_NO_OTHERS`

### getSQL

public String getSQL()
Returns SQL representation.

Returns:
  SQL representation.
See Also:
  - `Expression.getSQL(int)`